Extending Qt Creator Manual | DeployConfiguration

Extending Qt Creator Manual 4.3.0

# DeployConfiguration Class

(ProjectExplorer::DeployConfiguration)

Inherits: | ProjectExplorer::ProjectConfiguration

- List of all members, including inherited members

## Public Functions

virtual NamedWidget * | createConfigWidget()
virtual QString | disabledReason() const
virtual bool | isEnabled() const
BuildStepList * | stepList() const
Target * | target() const

- 11 public functions inherited from ProjectExplorer::ProjectConfiguration

## Signals

void | enabledChanged()

- 2 signals inherited from ProjectExplorer::ProjectConfiguration

## Protected Functions

| DeployConfiguration(Target *target, Core::Id id)
| DeployConfiguration(Target *target, DeployConfiguration *source)
void | cloneSteps(DeployConfiguration *source)

## Member Function Documentation

### `[protected]` DeployConfiguration::DeployConfiguration(Target *target, Core::Id id)

Default constructs an instance of DeployConfiguration.

### `[protected]` DeployConfiguration::DeployConfiguration(Target *target, DeployConfiguration *source)

Default constructs an instance of DeployConfiguration.

### `[protected]` void DeployConfiguration::cloneSteps(DeployConfiguration *source)

### `[virtual]` NamedWidget *DeployConfiguration::createConfigWidget()

### `[virtual]` QString DeployConfiguration::disabledReason() const

### `[signal]` void DeployConfiguration::enabledChanged()

### `[virtual]` bool DeployConfiguration::isEnabled() const

### BuildStepList *DeployConfiguration::stepList() const

### Target *DeployConfiguration::target() const